Terminal Server Licensing

A valid license, issued by a Terminal Server license server, is required before a client is permitted to log on to a terminal server.

Important

  • The Terminal Server Licensing method is separate from the licensing method used for Microsoft® Windows Server 2003 operating system clients. For more information on licensing for Windows Server 2003 operating systems, see Licensing.

A license server stores all client licenses. A terminal server must be able to connect to an activated license server before clients can be issued permanent licenses. When you activate a license server, Microsoft provides the server with a digital certificate that validates server ownership and identity. By using this certificate, a license server can make transactions with Microsoft and receive client licenses for your terminal servers. If you install a license server but do not activate it, that server only issues temporary client licenses.

For small deployments, it is acceptable to install both the terminal server and Terminal Server Licensing on the same physical computer. However, for larger deployments consider installing Terminal Server Licensing on a separate server. Note that one license server can serve many terminal servers concurrently.

Important

  • You must configure Terminal Server Licensing correctly in order for your terminal server to continue to accept connections from clients. To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent client access license (CAL), or after 120 days, whichever comes first.

Before installing the license server, determine which of the two license server roles you require—a Domain license server or an Enterprise license server. By default, a license server is installed as an Enterprise license server. For more information, see Terminal Server License server roles.

After installing the license server, you must activate it and install CALs by using the Terminal Server License Server Activation Wizard. For information about activating a license server, see Activating a Terminal Server license server.

The following resources provide additional information about Terminal Server and Terminal Server Licensing.

  • For information about deploying Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/)
  • For detailed information about Terminal Server Licensing, see Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).
  • For help with specific tasks, see How to.
  • For general conceptual information, see Concepts.

Note

  • You can use any computer running one of the Windows Server 2003 operating systems to administer servers remotely with Remote Desktop for Administration (formerly Terminal Services in Remote Administration mode). You do not need to install Terminal Server. A Terminal Server license server and the Terminal Server Licensing administrative tool are not required for Remote Desktop for Administration. For more information, see Remote Desktop for Administration.


How to...

  • Install Terminal Server Licensing
  • Configure a Terminal Server license server
  • Configure a Terminal Server to receive licenses


Install Terminal Server Licensing

Microsoft Windows graphic

To install Terminal Server Licensing

  1. Open Add or Remove Programs in Control Panel.
  2. Click Add/Remove Windows Components to start the Windows Components Wizard.
  3. In Windows Components, select Terminal Server Licensing, and then click Next.
  4. In Terminal Server Licensing Setup, do one of the following:
    • Click Your entire enterprise to choose an Enterprise license server. You can only install an Enterprise license server on a domain controller or a member server in a domain, not on a stand-alone server. This role is published to Active Directory.
    • Click Your domain or workgroup to choose a Domain license server. If you select this option, the computer on which you install the license server does not have to be a domain controller. However, if you want the license server to be automatically discovered by terminal servers that communicate with it, the computer on which you install the license server must be a domain controller. If the computer on which you plan to install the license server is in a workgroup, it can only be automatically discovered by terminal servers on the same subnet.

      • For more information about Terminal Server license server roles and the license server discovery process, see Terminal Server license server roles.

  5. Provide the file system location where the license server database should be installed on the Terminal Server license server, click Next, and then click Finish.

    The default location for the license server database is systemroot\System32\LServer.

Important

  • Before you install Terminal Server Licensing, verify that the operating system of the license server is compatible with the operating system of the terminal server. Note the following:
    • A Windows 2000 license server cannot issue CALs to terminal servers running Windows Server 2003 operating systems.
    • A license server running a Windows 2003 operating system can issue CALS to terminal servers running Windows Server 2000 or Windows Server 2003, or to terminal servers running Windows Server 2000 and terminal servers running Windows Server 2003 in a mixed environment.

Notes

  • If you are installing a Domain license server, you must be a member of the Administrators group on the local computer. If the computer is joined to a domain, members of the Domain Admins group might be able to perform this procedure.

    If you are installing an Enterprise license server, you must meet one of the following conditions:

    • You must be a member of the Enterprise Admins group in Active Directory.
    • You must have the right to create the TS-Enterprise-License-Server object in the same site in which the license server will reside in Active Directory.

    As a security best practice, consider using Run as to perform this procedure.

  • XOX
  • XOX
  • XOX
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Configure a Terminal Server license server

  • Activate a Terminal Server license server
  • Purchase client access licenses
  • Install client access licenses
  • Deactivate a Terminal Server license server
  • Reactivate a Terminal Server license server
  • Change Terminal Server license server properties


Activate a Terminal Server license server

The Microsoft Clearinghouse is the facility that Microsoft maintains to activate license servers, issue client access licenses (CALs) to license servers, and to reactivate license servers. You can activate a Terminal Server license server by using one of three methods: Automatic, Web Browser, or Telephone. For instructions on activating a license server and locating a telephone number to contact the Clearinghouse, see the following procedures:

  • Locate the Microsoft Clearinghouse telephone number for your country or region
  • Activate a Terminal Server license server by using the telephone
  • Activate a Terminal Server license server automatically
  • Activate a Terminal Server license server by using a Web browser


To locate the Microsoft Clearinghouse telephone number for your country or region

Microsoft Windows Graphic

To locate the Microsoft Clearinghouse telephone number for your country or region

When the Terminal Server license server is running

  1. Open Terminal Server Licensing.
  2. In the details pane, right-click the Terminal Server license server, and then click Properties.
  3. On the Installation Method tab, in the Installation method list, click Telephone.
  4. In Select Country or Region, click your country or region, and then click OK.
  5. In the details pane, right-click the license server, click Install Licenses, and then click Next.
  6. Note the phone number that is displayed, and then click Cancel.
  7. To change the server installation method from Telephone to another value, in the details pane, right-click the license server, click Properties, change the installation method as needed on the Installation Method tab, and then click OK.

When the Terminal Server license server is not running

  1. Open Terminal Server Licensing.
  2. In the details pane, right-click the Terminal Server license server, and then click Activate Server to start the Terminal Server License Server Activation Wizard.
  3. On the Welcome page, click Next.
  4. On the Connection Method page, in Activation method, click Telephone, and then click Next.
  5. On the Country or Region page, click your country or region, and then click Next.

Note

  • The Microsoft Clearinghouse is the facility that Microsoft maintains to activate license servers, issue CALs to license servers, recover CALs, and reactivate license servers. It is not the facility for purchasing CALs. To purchase CALs, you must contact your preferred Microsoft Software Advisor. For more information about purchasing CALs, see Related Topics.
  • After you purchase CALs, make sure to retain the License Purchase Agreement information. Having this information with you will facilitate communication with the Microsoft Clearinghouse, should you need assistance with recovering CALs or other Terminal Server Licensing tasks that are supported by the Clearinghouse.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Activate a Terminal Server license server by using the telephone

Microsoft Windows graphic

To activate a Terminal Server license server by using the telephone

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to activate, and then click Activate Server to start the Terminal Server License Server Activation Wizard.
  3. In the Activation method list, select Telephone, and then click Next.
  4. Follow the instructions in the wizard.

Important

  • To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent client access license (CAL), or after 120 days, whichever comes first. For more information about the licensing grace period, see Related Topics.

Notes

  • XOX
  • XOX
  • Licensing wizard properties, such as installation method and company information, set during the activation process can be changed later.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Activate a Terminal Server license server automatically

Microsoft Windows graphic

To activate a Terminal Server license server automatically

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to activate, and then click Activate Server to start the Terminal Server License Server Activation Wizard.
  3. In the Activation method list, select Automatic connection (recommended), and then click Next.
  4. Follow the instructions in the wizard.

    5. If necessary, at a later time you can change any license server properties, such as activation method and company information, that you set during the activation process.

Important

  • If the Internet Explorer Enhanced Security Configuration setting is in effect on your Terminal Server license server, you must add the Microsoft Clearinghouse Web site (https://activate.microsoft.com/) to the Trusted sites zone in Internet Explorer before you can activate your Terminal Server license server. If you try to connect to the Microsoft Clearinghouse Web site and it is not yet a trusted site, you are prompted to specify whether to add it to the Trusted sites zone.

    For more information, see Add an Internet site to the Trusted sites zone.

  • To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent client access license (CAL), or after 120 days, whichever comes first. For more information about the licensing grace period, see Terminal Server Licensing grace period.

Notes

  • XOX
  • XOX
  • Information that you provide over the Internet or World Wide Web to the Microsoft Clearinghouse is encrypted for your security and is securely stored by the Microsoft Clearinghouse in a dedicated database. This information is kept separate from information you might have provided to Microsoft in other contexts, and is not disclosed to third parties. For more information about Terminal Server license management and your privacy, see Related Topics.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Activate a Terminal Server license server by using a Web browser

Microsoft Windows graphic

To activate a Terminal Server license server by using a Web browser

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to activate, and then click Activate Server to start the Terminal Server license server Activation Wizard.
  3. In the Activation method list, select Web Browser, and then click Next.
  4. Follow the instructions in the wizard.

    If necessary, at a later time you can change any license server properties, such as activation method and company information, that you set during the activation process.

Important

  • If the Internet Explorer Enhanced Security Configuration setting is in effect on your Terminal Server license server, you must add the Microsoft Clearinghouse Web site (https://activate.microsoft.com/) to the Trusted sites zone in Internet Explorer before you can activate your Terminal Server license server. If you try to connect to the Microsoft Clearinghouse Web site and it is not yet a trusted site, you are prompted to specify whether to add it to the Trusted sites zone. For more information, see Add an Internet site to the Trusted sites zone.
  • To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent client access license (CAL), or after 120 days, whichever comes first. For more information about the licensing grace period, see Related Topics.

Notes

  • XOX
  • XOX
  • Information that you provide over the Internet or World Wide Web to the Microsoft Clearinghouse is encrypted for your security and is securely stored by the Microsoft Clearinghouse in a dedicated database. This information is kept separate from information you might have provided to Microsoft in other contexts, and is not disclosed to third parties. For more information about Terminal Server license management and your privacy, see Related Topics.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/) .

Related Topics


Purchase client access licenses

Microsoft Windows Graphic

To purchase client access licenses

  • Do one of the following:
  • In the United States, call (800) 426-9400 or go to the Licensing Program Reseller Web site (http://www.microsoft.com/).
  • In Canada, call the Microsoft Resource Centre at (877) 568-2495.
  • Outside of the United States or Canada go to the Worldwide Microsoft Licensing Web site (http://www.microsoft.com/) or the Microsoft Worldwide Home Web site (http://www.microsoft.com/) to locate contact information for your Microsoft subsidiary.

Note

  • You must purchase CALs and install them on the computer running Terminal Server Licensing. The Terminal Server license server then issues them to terminal servers for distribution to clients. For more information about purchasing and installing CALs on a license server, see Related Topics.
  • Verify that you have purchased enough CALs for the Terminal Server license server and that the Terminal Server Licensing mode matches the type of CAL available on the license server. Terminal Server Licensing modes determine the type of CAL that a license server issues to a client. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used.
  • After you purchase CALs, make sure to retain the License Purchase Agreement information. Having this information with you will facilitate communication with the Microsoft Clearinghouse, should you need assistance with recovering CALs or other Terminal Server Licensing tasks that are supported by the Clearinghouse. The Microsoft Clearinghouse is the facility that Microsoft maintains to activate license servers, issue CALs to license servers, recover CALs, and reactivate license servers. For information about how to locate the Microsoft Clearinghouse telephone number for your country or region, see Related Topics
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Install client license access licenses

Microsoft Windows graphic

Install client access licenses

You can install client access licenses by using one of three methods: the Internet, a Web browser, or telephone. Installing client access licenses by using the Internet is the easiest method. For instructions on installing client access licenses, see the following procedures:

  • Install client access licenses automatically
  • Install client access licenses by using a Web browser
  • Install client access licenses by using the telephone
  • Repeat the installation of a client access license


Install client access licenses automatically

Microsoft Windows graphic

To install client access licenses automatically

  1. Open Terminal Server Licensing.
  2. Verify that the installation method for the Terminal Server license server is set to Automatic connection (recommended) by right-clicking the Terminal Server license server for which you want to install client access licenses (CALs), and then clicking Properties. On the Installation Method tab, change the installation method if necessary.

  3. In the console tree, right-click the Terminal Server license server for which you want to install CALs, click Install Licenses to start the Terminal Server CAL Installation Wizard, and then click Next.

    The previous steps are not necessary if the Terminal Server CAL Installation Wizard is already started.

  4. In Program and Client License Information, provide the required information for your licensing program to receive your CALs, and then click Next.

    The Microsoft Clearinghouse processes your request, and installs the encrypted CALs on your Terminal Server license server.

  5. Click Finish to complete the process.

    The Terminal Server license server can now issue licenses to clients that connect to a Terminal server.

Notes

  • XOX
  • You cannot install CALs until your Terminal Server license server is activated.
  • Contact the Microsoft Clearinghouse if you receive an error during the CAL installation process. To find the appropriate phone number, you must first go to Licensing Wizard Properties, select Telephone as the installation method, and then click OK. Then, right-click the Terminal Server license server and click Install licenses to display the appropriate number.
  • On computers running one of the Windows Server 2003 operating systems, you can install Per Device and Per User CALs. Per User CALs, however, are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. On computers running the Windows 2000 Server operating system, you can install Per Device and Internet Connector CALs.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Install client access licenses using a Web browser

Microsoft Windows graphic

To install client access licenses by using a Web browser

  1. Open Terminal Server Licensing.
  2. Verify that the installation method for the Terminal Server license server is set to Web Browser by right-clicking the Terminal Server license server for which you want to install client access licenses (CALs), and then clicking Properties. On the Installation Method tab, change the installation method if necessary.
  3. In the console tree, right-click the Terminal Server license server for which you want to install CALs, click Install Licenses to start the Terminal Server CAL Installation Wizard, and then click Next.

    The previous steps are not necessary if the Terminal Server CAL Installation Wizard is already started.

  4. Connect to the Terminal Server Licensing Web site (https://activate.microsoft.com). You can connect to this site on any computer that has Internet access.

    On the Windows Terminal Services Web page, click Install Client Access License tokens and then click Next.

  5. Provide the following required information:
    • License server ID, a 35-digit number, in groups of 5 numerals, which is displayed in the Terminal Server CAL Installation Wizard
    • Purchase method (License Program)
    • Last name or surname
    • First name or given name
    • Company name
    • Country or region

    You may also provide the optional information requested, such as company address, e-mail address, and phone number. In the organizational unit field, you can describe the unit within your organization that this server will serve.

    Click Next.

  6. Type the CAL numbers in the License Codes: boxes. If you have more than 5 numbers, type the first 5 and then click Add. Continue typing additional numbers and clicking Add until all numbers are entered, and then click Next.
  7. On the next page, verify that all of the information you have entered is correct, and then click Next to submit your request to the Microsoft Clearinghouse. The Web page then displays a CAL ID generated by the Microsoft Clearinghouse.
  8. Type the CAL ID in Enter the license key pack ID in the boxes below. This ID is obtained from the Terminal Server Licensing Web site text box, and then click Next.

    The CALs are installed on your Terminal Server license server.

  9. Click Finish to complete the process.

    The Terminal Server license server can now issue licenses to clients that connect to a terminal server.

Notes

  • XOX
  • You cannot install CALs until your Terminal Server license server is activated.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Install client access licenses by using the telephone

Microsoft Windows graphic

To install client access licenses by using the telephone

  1. Open Terminal Server Licensing.
  2. Verify that the installation method for the Terminal Server license server is set to Telephone by right-clicking the Terminal Server license server for which you want to install client access licenses (CALs), and then clicking Properties. On the Installation Method tab, change the installation method if necessary.
  3. Right-click the Terminal Server license server for which you want to install CALs, click Install Licenses to start the Terminal Server CAL Installation Wizard, and then click Next.

    The previous steps are not necessary if the Terminal Server CAL Installation Wizard is already started.

  4. Call the Customer Support Center at the number that is displayed on the Obtain client license key pack page of the wizard, and give the representative your Terminal Server license server ID and the required information for the licensing program under which you purchased CALs. The representative then processes your request to install CALs, and gives you a unique ID for the CAL.

  5. In Type the client access license ID in the boxes below, type the CAL ID provided by the representative, and then click Next.

    The CALs are installed on your Terminal Server license server.

  6. Click Finish to complete the process.

    The Terminal Server license server can now issue licenses to clients that connect to a terminal server.

Notes

  • XOX
  • You cannot install CALs until your Terminal Server license server is activated.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Repeat the installation of a client access license

Microsoft Windows graphic

To repeat the installation of a client access license

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server for which you want to reload the client access license, point to Advanced, and then click Repeat Last Installation. The Licensing Wizard starts.

  3. In Information Needed, confirm that the required information is correct, and then click Next.

    Your request is sent to the Microsoft Clearinghouse for processing.

Notes

  • XOX
  • XOX
  • You cannot repeat the installation of a client access license by using the Web Browser installation method.
  • You might need to reinstall Terminal Server CALs in situations such as the following:
    • A catastrophic failure or any other event that causes the loss of or corruption to the licensing database, when a known good backup is not available. In this case, you must reinstall Terminal Server Licensing, reactivate the license server, and then reinstall the previously issued CALs.
    • If you upgrade or migrate a Windows 2000 license server to Windows Server 2003. In this case, you must reinstall the Windows 2000 Terminal Server CALs on the Windows Server 2003 license server.

      • In each of these cases, you must call the Microsoft Clearninhouse to reinstall the appropriate CALs. For information about how to call the Clearinghouse, see Locate the Microsoft Clearinghouse telephone number for your region.

  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Deactivate a Terminal Server license server

Microsoft Windows Graphic

To deactivate a Terminal Server license server

Using the Automatic method

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to deactivate, point to Advanced, and then click Deactivate Server. The Terminal Server License Server Wizard starts.

  3. In Required Information, confirm that your name, phone number, company, and country or region are correct, and then click Next.

    Your request to deactivate the Terminal Server license server is sent to the Microsoft Clearinghouse for processing.

  4. Click Finish.

Using the telephone method

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to deactivate, point to Advanced, and then click Deactivate Server. The Terminal Server License Server Wizard starts.
  3. Click Telephone and then click Next.
  4. Specify your location and then click Next.
  5. Call the telephone number displayed in the wizard, and give the Customer Support representative the Product ID that is displayed below the telephone number.
  6. In the boxes in the wizard, type the 35-digit confirmation code provided by the Customer Support representative, and then click Next.
  7. Click Finish.

Notes

  • XOX
  • XOX
  • You cannot deactivate a Terminal Server license server by using the Web Browser connection method.
  • You might need to deactivate a Terminal Server license server when the certificate of the server has expired or becomes corrupted, or when the server is being redeployed. However, you will be prompted to reactivate the Terminal Server license server when its registration has expired.
  • When you deactivate a Terminal Server license server, you will not be able to license additional clients from this server until it is reactivated.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Reactivate a Terminal Server license server

Microsoft Windows graphic

To reactivate a Terminal Server license server

  1. Open Terminal Server Licensing.
  2. In the console tree, right-click the Terminal Server license server you want to reactivate, point to Advanced, and then click Reactivate Server. The Terminal Server License Server Wizard starts.
  3. In Information Needed, confirm that your name, phone number, and e-mail address are correct.

    In Reason, select the appropriate reason for reactivating the Terminal Server license server, and click Finish.

    Your request to reactivate the Terminal Server license server is sent to the Microsoft Clearinghouse for processing.

Notes

  • XOX
  • XOX
  • For information about the Microsoft privacy statement, see Related TopicsTerminal Server license management and your privacy.
  • When reactivating a Terminal Server license server by using the telephone, you will receive a telephone call confirming that the license server has been reactivated.
  • When a Terminal Server license server is reactivated, a record of your licenses is retained. Licenses that were already issued remain valid, and any un-issued licenses are also valid, but must be reissued through the Microsoft Clearinghouse.
  • You must reactivate a Terminal Server license server when its registration has expired.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Change Terminal Server license server properties

Microsoft Windows graphic

To change Terminal Server license server properties

  1. Open Terminal Server Licensing.

  2. In the console tree, right-click the Terminal Server license server for which you want to change properties, and then click Properties.

    The Licensing Wizard Properties dialog box opens.

  3. Click any of the following tabs to modify properties:
    • Click Installation Method to select a different method for communicating with the Microsoft Clearinghouse. You can select Automatic connection (recommended), Web Browser, or Telephone.
    • Click Required Information to make changes to your name, company, and country or region.
    • Click Optional Information to make changes to your e-mail address and company address or to your organizational unit.

Notes

  • XOX
  • XOX
  • For information about the Microsoft privacy statement, see Terminal Server license management and your privacy.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Configure a Terminal Server to receive licenses

  • Configure the Terminal Server Licensing mode
  • Set preferred Terminal Server license servers
  • Connect to a Terminal Server license server


Configure the Terminal Server Licensing mode

Microsoft Windows Graphic

To configure the Terminal Server Licensing mode

Using Group Policy settings (best practice)

  1. Open Group Policy.
  2. In Computer Configuration, Administrative Templates, Windows Components, Terminal Services, double-click Terminal Server Licensing Mode.
  3. Click Enabled.
  4. Click either Per User or Per Device, and then click OK.

    5. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices.

Important

  • You should thoroughly test any changes you make to Group Policy settings before applying them to users or computers. For more information on testing policy settings, see Resultant Set of Policy.

Note

  • XOX
  • This Group Policy setting is only available on Windows Server 2003 with Service Pack 1.

  • Use this procedure to configure the local Group Policy object. To change a policy for a domain or an organizational unit, you must log on to the primary domain controller as an administrator, and then, open Group Policy by using the Active Directory Users and Computers snap-in.

Using Terminal Services Configuration

  1. Open Terminal Services Configuration.
  2. In the console tree, click Server Settings.
  3. In the details pane, right-click Licensing Mode, and then click Properties.
  4. Select either Per User or Per Device, and then click OK.

    5. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices.

Note

  • XOX
  • XOX

Notes

  • Group Policy overrides the configuration set with the Terminal Services Configuration tool.
  • By default, when the Per Device licensing mode is used, and a client logs on to a terminal server for the first time, the terminal server issues the client a temporary license. When a client logs on to a terminal server for the second time, and the license server is activated and enough Per Device CALs are available, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, when a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.
  • Users can create more than one session by specifying a different program to start on connection for each session.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Set preferred Terminal Server license servers

Microsoft Windows Graphic

To set preferred Terminal Server license servers

Using Group Policy settings (best practice)

  1. Open Group Policy.
  2. In Computer Configuration, Administrative Templates, Windows Components, Terminal Services, double-click Use the specified Terminal Server license servers.
  3. Click Enabled.
  4. Enter the names of the Terminal Server license servers you want this Terminal Server to contact first when attempting to obtain client access licenses (CALs), and then click OK.

Important

  • You should thoroughly test any changes you make to Group Policy settings before applying them to users or computers. For more information about testing policy settings, see Related Topics.

Notes

  • XOX
  • This Group Policy setting is only available on Windows Server 2003 with Service Pack 1, or with the Service Pack 1 versions of the System.adm Group Policy template files installed in your Terminal Server environment.

  • Use this procedure to configure the local Group Policy object. To change a policy for a domain or an organizational unit, you must log on to the primary domain controller as an administrator, then, open Group Policy through the Active Directory Users and Computers snap-in.

Using Terminal Services Configuration

  1. Open Terminal Services Configuration.
  2. In the console tree, click Server Settings.
  3. In the details pane, right-click License server discovery mode, and then click Properties.
  4. Click Use these license servers, and enter the names or IP addresses of the license servers in the text box, separating them with commas.
  5. Click Check names, make any necessary corrections, and click OK.

Notes

  • To open Terminal Services Configuration, click Start, click Control Panel, double-click Administrative Tools, and then double-click Terminal Services Configuration.
  • This feature is only available on Windows Server 2003 with Service Pack 1.

Using the registry

  1. Click Start, click Run, type regedit, and then click OK.
  2. Locate, and then click, the following key in the registry:
    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\TermService\Parameters
  3. On the Edit menu, point to New, click Key, and then type LicenseServers to name the new key.
  4. Locate, and then click, the following key in the registry:
    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\TermService\Parameters\LicenseServers
  5. On the Edit menu, point to New, click Key, type ServerName where ServerName is the NetBIOS name of the license server that you want to use, and then press ENTER.

    The new key name can be any of the following designations that represent the license server:

    • The NetBIOS name of the server
    • The fully qualified domain name (FQDN) of the server
    • The IP address of the server
  6. Restart your computer

Notes

  • You can also set preferred license servers by using a Windows Management Instrumentation (WMI) script. For three scripts that you can use to set preferred license servers, delete preferred license servers, or query preferred license servers, see "Preferred License Server WMI Scripts" in Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).
  • For more information about Terminal Server, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/).

Related Topics


Connect to a Terminal Server license server

Microsoft Windows graphic

To connect to a Terminal Server license server

  1. Open Terminal Server Licensing.
  2. On the Action menu, click Connect.
  3. In Server, type the name of the license server to which you want to connect, and then click OK.

Notes

  • XOX
  • When Terminal Server Licensing opens, it locates all Terminal Server license servers in your workgroup or domain.
  • To connect to a license server, a terminal server must have the Access this computer from the network logon right for the target license server. Additionally, if the License Server Security Group setting in Group Policy is enabled, the terminal server computer account must be a member of this group. Enabling this Group Policy setting and applying it to your license server creates a local group called Terminal Services Computers. The license server issues licenses only to the terminal servers in this group. You must add the terminal servers for which you need to provide licenses and any license servers that might need to acquire licenses to this group for each license server. For more information, see Related Topics.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

Related Topics


Concepts

  • Terminal Server Licensing overview
  • Terminal Server Licensing grace period
  • Controlling the issuance of Terminal Server licenses
  • Understanding Terminal Server Licensing
  • Using Terminal Server Licensing


Terminal Server Licensing overview

Terminal Server has its own method for licensing clients that log on to terminal servers, separate from the licensing method for Microsoft® Windows Server 2003 operating system clients. When a client connects to a terminal server, the server determines if a client access license (CAL) is needed. The terminal server then requests a CAL from the Terminal Server license server, and the CAL is issued to the client by the terminal server. Although Terminal Server provides a licensing grace period during which no license server is required, after the grace period ends, clients must obtain a valid CAL issued by a license server before they can log on to a terminal server.

Important

  • If you use Remote Desktop for Administration, two concurrent connections can log on. You do not need a Terminal Server license server for these connections. For more information about Remote Desktop for Administration, see Remote Desktop for Administration overview.

Prerequisites

To use Terminal Server, you must also have at least one license server. For small deployments, it is acceptable to install both the Terminal Server and Terminal Server Licensing service on the same physical computer; however, for larger deployments, it is recommended that Terminal Server Licensing be installed on a separate server.

Before installing Terminal Server Licensing, verify that the operating system of the license server will be compatible with the operating system of the terminal server. Note the following:

  • A Windows 2000 license server cannot issue CALs to terminal servers running Windows Server 2003 operating systems.
  • A license server running a Windows 2003 operating system can issue CALS to terminal servers running Windows Server 2000 or Windows Server 2003, or to terminal servers running Windows Server 2000 and terminal servers running Windows Server 2003in a mixed environment.

After you install Terminal Server Licensing, you must activate the license server so that the license server can issue permanent CALs for Terminal Server clients. After the license server is activated, it provides a secure way to purchase, install, and issue permanent CALs to Terminal Server clients. If you do not activate a license server it issues temporary CALs, which allow clients to connect to the terminal server for 90 days.

Terminal Server Licensing Components

Following are descriptions of the primary Terminal Server Licensing components:

Microsoft Clearinghouse

The Microsoft Clearinghouse is the facility that Microsoft maintains to activate license servers, issue CALs to license servers, recover CALs, and reactivate license servers. The Clearinghouse stores information about all activated license servers and client access licenses that have been issued. This information helps you track client usage of the terminal servers within your organization to ensure that you have purchased a sufficient number of CALs. The Clearinghouse is accessed directly when you choose the Internet (Automatic) activation method in the Terminal Server Licensing Activation Wizard. If you do not have Internet connectivity, you can also contact the Clearinghouse by phone. For more information, see Locate the Microsoft Clearinghouse phone number for your country or region.

You cannot purchase CALs through the Microsoft Clearinghouse. To purchase CALs, you must contact your preferred Microsoft Software Advisor. Make sure to retain the License Purchase Agreement. If you contact the Clearinghouse, the information in the Agreement will help them assist you, should you need assistance with recovering CALs or other Terminal Server Licensing tasks that are supported by the Clearinghouse.

License server

A license server stores all client licenses. A terminal server must be able to connect to an activated license server before clients can be issued permanent CALs.

Before installing the license server, determine which of the two license server roles you require—a Domain license server or an Enterprise license server. During Terminal Server Licensing setup, you select one of these roles. By default, a license server is installed as an Enterprise license server. For more information, see Terminal Server License server roles.

Important

  • You must configure Terminal Server Licensing correctly in order for your terminal server to continue to accept connections from clients. To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent CAL, or after 120 days, whichever comes first. For more information, see Terminal Server Licensing grace period.

To activate a license server, use the Terminal Server License Server Activation Wizard. When you activate a license server, Microsoft provides the server with a limited-use digital certificate that validates server ownership and identity. Microsoft uses the X.509 industry standard certificate for this purpose. The license server then uses this certificate to obtain and issue CALs to clients. For information about activating a license server, see Activating a Terminal Server license server.

Terminal server

A terminal server is a server on which the Terminal Server component of the Windows Server 2003 operating system is installed. A terminal server gives client computers access to Windows-based applications that run entirely on the server, and supports multiple client sessions on the server. If a client does not have a license, the terminal server requests one from the license server. For instructions on installing Terminal Server, see Installing Terminal Server.

Note

  • You can use any computer running aWindows Server 2003 operating system to administer servers remotely with Remote Desktop for Administration (formerly Terminal Services in Remote Administration mode). You do not need to install Terminal Server. A license server and the Terminal Server Licensing administrative tool are not required for Remote Desktop for Administration. For more information about Remote Desktop for Administration, see Remote Desktop for Administration.

Client licenses

After the Terminal Server Licensing grace period ends, you must purchase and install the appropriate number of CALs for each device or user that needs to connect to a terminal server. In addition, you must verify that the Terminal Server Licensing mode that you specify matches the type of CAL available on the license server. Terminal Server Licensing modes determine the type of CAL that a license server issues to a client. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running a Windows Server 2003 operating system. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device.

When the Per Device licensing mode is used, and a client logs on to a terminal server for the first time, the terminal server issues the client a temporary license by default. When a client logs on to a terminal server for the second time, if the license server is activated and enough Per Device CALs are available, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, when a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.

For instructions on configuring the Terminal Server Licensing mode, see Configure the Terminal Server Licensing mode. For information about the types of licenses supported by a license server that runs Windows Server 2003 operating systems, see Required licenses. For information about purchasing CALs, see Purchase client access licenses.

Resources

For more information about Terminal Server and Terminal Server Licensing, see:

  • Guidelines for Deploying Terminal Server (http://www.microsoft.com/)
  • Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).
  • Terminal Server license management and your privacy.


Terminal Server Licensing grace period

To allow ample time for you to deploy a Terminal Server license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent client access license (CAL), or after 120 days, whichever comes first. For information about the client licenses that are supported by a license server that runs the Windows Server 2003 operating system, see Required licenses.

The license server issues CALs to the terminal server, which in turn issues them to clients. In order for a license server to issue permanent CALs, you must activate the license server and then purchase and install the appropriate number of permanent CALs. For information about how to activate a license server, see Activate a Terminal Server license server. To purchase CALs, you must contact your preferred Microsoft Software Advisor, as described in Purchase client access licenses. If a license server is not activated, it issues temporary licenses. These temporary licenses allow clients to connect to the terminal server for 90 days. There is no limit to the number of temporary licenses that a license server can issue, but a single client is only issued a temporary license once. After the temporary license expires, the client can only connect to the terminal server if the license server can issue a permanent CAL, or if the terminal server is still within its licensing grace period.

Terminal Server Licensing modes determine the type of CAL that a license server issues to a client. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device.

By default, when the Per Device licensing mode is used, and a client logs on to a terminal server for the first time, the terminal server issues the client a temporary license. When a client logs on to a terminal server for the second time, if the license server is activated and enough Per Device CALs are available, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, and a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.

For each permanent Per Device CAL that is issued, an expiration period is applied. This expiration period is a random number of days between 52 to 89 days after the license is issued. The terminal server always attempts to renew these CALs seven days before they expire. This functionality facilitates the automatic recovery of Per Device CALs that are lost due to hardware failure, operating system reinstallation, and other, similar events. For more information about the expiration period for Per Device CALs and about recovering CALs, see Recovering client access licenses on a Terminal Server license server.

For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).


Controlling the issuance of Terminal Server licenses

By default, a Terminal Server license server issues a license to any computer that requests one. For security reasons, you might want to restrict the issuance of licenses to specific computers or groups. You can use the license server Security Group Group Policy setting to control which servers are eligible to receive licenses.

Terminal Services Computers, a local security group, is created by default the first time Terminal Server Licensing is started. When the target computer is a domain controller, this group is a domain local group. For more information on enabling this policy setting, see Control the issuance of Terminal Server licenses.

By default, the Terminal Services Computers security group is not populated. You must choose the computers or groups you want to receive licenses and manually add them to this group. Any changes you make to the membership of this group take effect only after you stop and restart the Terminal Server Licensing service. For more information about adding members to a security group, see Changing group membership.

The most efficient way to manage Terminal Server computer accounts is to create a global group that contains the accounts of all terminal servers that must be licensed. Then, add this global group to the local (or domain local) Terminal Services Computers group. This method allows a domain administrator to manage a single list of computer accounts.

For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).


Understanding Terminal Server Licensing

  • Required licenses
  • Terminal Server Licensing administrative tool
  • Terminal Server license management and your privacy


Required licenses

You must obtain the necessary licenses as part of your deployment of Terminal Server on your network. A license server that runs aWindows Server 2003 operating system supports the following types of licenses:

  • Windows Server 2003 Terminal Server Device CALs. These CALs are purchased for devices that connect to a terminal server running a Windows Server 2003 operating system.
  • Windows Server 2003 Terminal Server User CALs. These CALs are purchased for users who connect to a terminal server running a Windows Server 2003 operating system.
  • Windows Server 2003 Terminal Server External Connector Licenses. These licenses are purchased to allow unlimited connections by external users (for example, business partners) to a terminal server running a Windows Server 2003 operating system . Terminal Server External Connector licenses are not managed; therefore, to use these licenses, you must set your terminal server to Per User mode. For instructions on configuring the Terminal Server Licensing mode, see Configure the Terminal Server Licensing mode.
  • Windows 2000 Terminal Services CALs. These licenses are purchased for devices that connect to a Windows 2000 terminal server.
  • Windows 2000 Terminal Services Internet Connector Licenses. These licenses are purchased to allow up to 200 simultaneous anonymous connections to a Windows 2000 terminal server by non-employees across the Internet.
  • Windows 2000 Built-in Licenses. Clients that are running Windows 2000 Professional or Windows XP are issued a license from the built-in pool of licenses when connecting to a Windows 2000 terminal server.
  • Temporary Licenses. When a Windows Server 2003 terminal server requests a Windows Server 2003 Per Device CAL, or when a Windows 2000 terminal server requests a Windows 2000 CAL, and the license server has no licenses, it issues a temporary license to the connecting client (if the client device has no license). The license server tracks the issuance and expiration of these licenses. Temporary licenses are designed to allow you ample time to deploy a license server, and they allow clients to connect to the terminal server for 90 days. There is no limit to the number of temporary licenses that a license server can issue, but a single client is only issued a temporary license once. After the temporary license expires, the client can only connect to the terminal server if the license server can issue a permanent CAL, or if the terminal server is still within its licensing grace period.

Important

  • For a license server to function correctly, the operating system of the license server must be compatible with the operating system of the terminal server. Note the following:
    • A Windows 2000 license server cannot provide CALs to a Windows Server 2003 family terminal server.
    • A Windows Server 2003 family license server can provide CALs to both Windows Server 2003 family and Windows 2000 terminal servers and, therefore, can support a mixed environment consisting of both Windows 2000 terminal servers and Windows Server 2003 family terminal servers.

Notes

  • Verify that you have purchased enough CALs for the Terminal Server license server and that the Terminal Server Licensing mode matches the type of CAL available on the license server. Terminal Server Licensing modes determine the type of CAL that a license server issues to a client. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device. Per User CALs, however, are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used.
  • By default, when the Per Device licensing mode is used, when a client logs on to a terminal server for the first time, the terminal server issues the client a temporary license. When a client logs on to a terminal server for the second time, if the license server is activated and enough Per Device CALs are available, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, when a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.
  • For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).


Terminal Server Licensing administrative tool

The Terminal Server Licensing administrative tool can help you manage Terminal Server licenses. Using Terminal Server Licensing, you can perform the following tasks after connecting to a Terminal Server license server:

  • Activate a Terminal Server license server.
  • Install client access licenses (CALs).
  • Reactivate a Terminal Server license server.
  • Deactivate a Terminal Server license server.
  • Repeat the installation of CALs.
  • Change the properties of the Terminal Server license server.

To perform the tasks listed above, you must have either Internet access or access to a telephone.

You can also use Terminal Server Licensing to connect to any Terminal Server license server on your network and view information about the licenses on that server. You can view the following Terminal Server licensing information:

  • The list of installed client license key packs.
  • The total number of licenses in each client license key pack, and the number of available and issued licenses in each key pack.
  • The date a license was issued to each computer, and the name of the computer to which each license is issued.
  • The issue and expiration dates of each temporary license and the name of the computer to which the license was issued.

When the number of clients requesting licenses from a Terminal Server license server exceeds the number of un-issued licenses stored on the server, you receive a reminder to purchase new licenses and register them. The reminder appears as an event in the system log of the Event Viewer.

For step-by-step procedures on using Terminal Server Licensing, see How to.

You can also remotely manage a license server from XOX computers that have the Windows Server 2003 Administration Tools Pack installed. You can install the Windows Server 2003 Administration Tools Pack, which includes the Terminal Server Licensing tool, on computers that run any of the following operating systems:

  • XOX with QFE Q329357
  • XOX with Service Pack 1
  • Windows Server 2003 operating systems

The Windows Server 2003 Administration Tools Pack is included on the Windows Server 2003 CD. For more information, see Windows Server 2003 Administration Tools Pack Overview.

Note

  • You cannot manage license servers running Windows Server 2003 from computers that run Windows Server 2000.

For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).


Terminal Server license management and your privacy

Microsoft asks you to activate your Terminal Server license server and client access licenses to verify that you are a licensed user and to provide customized benefits and services. When you provide complete and accurate information, Microsoft customer service representatives can successfully re-create the licensing information on your Terminal Server license server if technical problems occur. This prevents the possible loss of valuable licensing information. The information you provide might also be used internally at Microsoft to perform aggregate quality testing of the Terminal Server licensing program.

You do not need to provide all of the requested information. However, some fields are required, and if you do not provide complete information, the Microsoft Clearinghouse might be unable to activate your Terminal Server license server and client access licenses.

Information provided over the Internet or World Wide Web to the Microsoft Clearinghouse is encrypted for your security and is securely stored by the Microsoft Clearinghouse in a dedicated database. Microsoft uses this information only for the reasons detailed above. This information is kept separate from information you might have provided to Microsoft in other contexts, and is not disclosed to third parties.

To access and make changes to the data provided to the Microsoft Clearinghouse in this license activation process, call your customer service representative. To find the appropriate phone number to call, select the telephone activation method in the Terminal Server License Server Activation Wizard. For information about activating a Terminal Server license server by using the telephone, see To activate a Terminal Server license server by using the telephone.

If you believe that Microsoft has not complied with these privacy principles, please notify us by postal mail at the following address:

Microsoft
Attn: Terminal Services License Management Program
One Microsoft Way
Redmond, Washington 98052-6399

Commercially reasonable efforts are made promptly to determine and correct the problem.


Using Terminal Server Licensing

  • Terminal Server license server roles
  • Activating a Terminal Server license server
  • Purchasing and installing client access licenses on a Terminal Server license server
  • Recovering client access licenses on a Terminal Server license server
  • Backing up a Terminal Server license server


Terminal Server license server roles

A Terminal Server license server stores all client licenses. A terminal server must be able to connect to an activated license server before clients can be issued permanent client access licenses (CALs). When you activate a license server, Microsoft provides the server with a digital certificate that validates server ownership and identity. By using this certificate, a license server can make transactions with Microsoft and receive client licenses for your terminal servers. If you install a license server but do not activate it, that server only issues temporary licenses.

For small deployments, it is acceptable to install both the terminal server and Terminal Server Licensing on the same physical computer. However, for larger deployments, consider installing Terminal Server Licensing on a separate server. Note that one Terminal Server license server can serve many terminal servers concurrently.

Important

  • You must configure Terminal Server Licensing correctly in order for your terminal server to continue to accept connections from clients. To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent CAL, or after 120 days, whichever comes first. For more information about the licensing grace period, see Terminal Server Licensing grace period .

Before installing a license server, determine which of the two license server roles you require—a Domain license server or an Enterprise license server. During Terminal Server Licensing setup, you will select one of these roles. By default, the Enterprise license server role is selected.

If you are installing a license server in an Active Directory domain environment, you can select either the Enterprise license server or the Domain license server role. If you are installing a license server in a workgroup or a non-Active Directory domain environment, you must select the Domain license server role. To activate the license server quickly, install Terminal Server Licensing on a server that has Internet access.

Enterprise license server

You can only install an Enterprise license server on a domain controller or a member server in a domain, not on a stand-alone server. This role is published to Active Directory.

An Enterprise license server is an appropriate choice if your network includes several domains, and if you want to maintain one license server that can issue licenses to terminal servers across the different domains. An Enterprise license server can serve terminal servers in any domain, but the domain must be a Windows Server 2003 domain or Windows 2000 Active Directory domain. An Enterprise license server is automatically discovered by any terminal server that is in the same site as the license server. By default, an Enterprise license server only serves terminal servers in the same site.

Domain license server

A Domain license server is an appropriate choice if you want to maintain a separate license server for each domain. Terminal servers can access domain license servers only if they are in the same domain as the license server.

License server discovery process

Terminal servers use a discovery process to locate license servers. This process begins when the Terminal Server service starts. Although Terminal Server attempts to detect a license server automatically, you can explicitly specify a preferred license server to which the terminal server connects. For instructions on configuring a preferred license server through Group Policy or by modifying the registry, see Set preferred license servers. You can also set preferred license servers by using a Windows Management Instrumentation (WMI) script. For three scripts that you can use to set preferred license servers, delete preferred license servers, or query preferred license servers, see "Preferred License Server WMI Scripts" in Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).

During the discovery process, terminal servers attempt to contact license servers in the following order:

  1. Any preferred license servers that are specified in Group Policy.
  2. Any Enterprise license servers or Domain license servers that are specified in the registry.

    3. In Windows Server 2003, the relevant registry key is LicenseServers , and it is located under HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\TermService\Parameters.

    In Windows 2000, the relevant registry key is DefaultLicenseServer, and it is located under HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\TermService\Parameters.

    In Windows Server 2003, you can specify multiple license servers in the registry. In Windows Server 2000, you can only specify one license server.
  3. Enterprise license servers that are specified in Active Directory.
  4. Domain license servers.

Enterprise license server discovery

As mentioned in this topic, an Enterprise license server is automatically discovered by any terminal server that is in the same site as the license server and by default, only serves terminal servers in the same site. You can, however, publish the license server to another site in Active Directory. A terminal server polls Active Directory every 60 minutes to locate an Enterprise license server, and continues to poll every 60 minutes, even when an Enterprise license server is located.

Domain license server discovery

If you are installing a Domain license server, the computer on which you install the license server must be a domain controller for it to be automatically discovered by terminal servers that communicate with it. If you install a Domain license server on a member server, you must specify this server as a preferred license server on all terminal servers that need to communicate with it. If the computer on which you plan to install the Domain license server is in a workgroup, it can only be automatically discovered by terminal servers on the same subnet.

If you install an Enterprise license server on a member server, you do not need to specify it as a preferred license server, because Enterprise license servers are automatically discovered.

When a terminal server attempts to locate a Domain license server, it first queries all domain controllers within the same site. If the terminal server cannot find an available license server in the same site, the terminal server queries all other domain controllers in the same domain. A terminal server attempts to locate a Domain license server every 15 minutes. After a Domain license server is located, the terminal server continues to search for a Domain license server every two hours. If the terminal server cannot locate a Domain license server, it resumes searching every 15 minutes.

Notes

  • To improve security, you should consider removing workgroups and replacing them with domains.


Activating a Terminal Server license server

You must activate a Terminal Server license server, and then purchase and install the appropriate number of client access licenses (CALs), before the license server can issue permanent CALs to Terminal Server clients. A license server that has been installed but not activated only issues temporary licenses. These temporary licenses allow clients to connect to the terminal server for 90 days. For information about purchasing and installing CALs, see Purchasing and installing client access licenses on a Terminal Server license server.

To activate a license server, use Terminal Server Licensing. When you activate a Terminal Server license server, the Microsoft Clearinghouse provides the server with an X.509 digital certificate that validates server ownership and identity. Using this certificate, a Terminal Server license server can make subsequent transactions with the Microsoft Clearinghouse and receive permanent client licenses for your terminal servers.

You are required to activate a license server only once, after which the license server becomes the repository for terminal server client licenses.

Information that you provide over the Internet or World Wide Web to the Microsoft Clearinghouse is encrypted for your security and is securely stored by the Microsoft Clearinghouse in a dedicated database. This information is kept separate from information you might have provided to Microsoft in other contexts, and is not disclosed to third parties. For more information, see Terminal Server license management and your privacy.

Important

  • If the Internet Explorer Enhanced Security Configuration setting is in effect on your Terminal Server license server, you must add the Microsoft Clearinghouse Web site (https://activate.microsoft.com/) to the Trusted sites zone in Internet Explorer before you can activate your Terminal Server license server. If you try to connect to the Microsoft Clearinghouse Web site and it is not yet a trusted site, you are prompted to specify whether to add it to the Trusted sites zone.

    For more information, see Add an Internet site to the Trusted sites zone.

The following table shows the three ways to activate a Terminal Server license server.

Automatic | Web Browser | Telephone
This is the fastest and easiest method. To use this method, the server running Terminal Server Licensing must have an Internet connection. | Use this method to connect directly to the secure Microsoft Terminal Services Web site. This method also requires an Internet connection, but the connection can be made from any computer, not just the computer that is running Terminal Server Licensing. | If you do not have an Internet connection, use this method to contact the Microsoft Clearinghouse and receive an ID number to activate the Terminal Server license server by phone. For instructions on how to locate the appropriate local number to call, see Locate the Microsoft Clearinghouse telephone number for your country or region.

For instructions on activating a Terminal Server license server by using any of these methods, see Activate a Terminal Server license server.

Notes

  • If you upgrade a Terminal Server license server from Windows 2000, you must reactivate it.
  • The Microsoft Clearinghouse is the facility that Microsoft maintains to activate license servers, issue CALs to license servers, recover CALs, and reactivate license servers. It is not the facility for purchasing CALs. To purchase CALs, you must contact your preferred Microsoft Software Advisor. Make sure to retain the License Purchase Agreement. If you contact the Clearinghouse, the information in the Agreement will help them assist you. For information about purchasing and installing CALs, see Purchasing and installing client access licenses on a Terminal Server license server.
  • To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. For more information about the licensing grace period, see Terminal Server Licensing grace period.


Purchasing and installing client access licenses on a Terminal Server license server

After a Terminal Server license server is activated, you can purchase and then install client access licenses (CALs) on that server so that it can issue those licenses to terminal servers upon request. The CALs are stored and tracked on the Terminal Server license server.

To purchase Terminal Server CALs, contact your preferred Microsoft Software Advisor. For instructions on purchasing CALs, see Purchase client access licenses. After you purchase CALs, make sure to retain the License Purchase Agreement. If you contact the Clearinghouse, the information in the Agreement will help them assist you, should you need assistance with Terminal Server Licensing tasks that are supported by the Clearinghouse. The Clearinghouse is the facility that Microsoft maintains to activate license servers, issue CALs to license servers, recover CALs, and reactivate license servers.

The Clearinghouse processes your request to install and issue CALs to your Terminal Server license server. Then, you install the CALs, using one of the three methods you used to activate a Terminal Server license server—Automatic (recommended), Web Browser, or Telephone. For instructions on installing CALs by using any of these methods, see Install client access licenses. For instructions on locating the Clearinghouse telephone number if you do not have access to the Internet, see Locate the Microsoft Clearinghouse telephone number for your country or region.

Client licenses are digitally signed certificates that each client stores locally. After client licenses are installed on a Terminal Server license server, the server can issue licenses. When a client computer attempts to log on to a terminal server for the first time, the terminal server recognizes that the client has not been issued a license and locates a Terminal Server license server to issue a new license to the client. Terminal Server Licensing modes determine the type of CAL that a license server issues to a client. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device.

By default, when the Per Device licensing mode is used, when a client logs on to a terminal server for the first time, the terminal server issues the client a temporary license. When a client logs on to a terminal server for the second time, if the license server is activated and enough Per Device CALs are available, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, when a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.

If you want to transfer a license from one computer to another, you must call the Microsoft Clearinghouse. According to the terms of your End User License Agreement (EULA) for Terminal Server Client Access Licenses, you can make this transfer only once.

Notes

  • You must configure Terminal Server Licensing correctly in order for your terminal server to continue to accept connections from clients. To allow ample time for you to deploy a license server, Terminal Server provides a licensing grace period, during which no license server is required. During this grace period, a terminal server can accept connections from unlicensed clients without contacting a license server. The grace period begins the first time the terminal server accepts a client connection. It ends after you deploy a license server and that license server issues its first permanent CAL, or after 120 days, whichever comes first. For more information about the licensing grace period, see Terminal Server Licensing grace period.


Recovering client access licenses on a Terminal Server license server

After a Terminal Server license server is activated, you can purchase and then install client access licenses (CALs) on that server so that it can issue those licenses to terminal servers upon request. The terminal servers, in turn, issue licenses to clients. Terminal Server licensing modes determine the type of CAL that a license server issues. In Windows Server 2003, two types of CALs are available: Per User and Per Device. A Per Device CAL gives each client computer or device the right to access a terminal server that is running Windows Server 2003. A Per User CAL gives one user the right to access a terminal server from an unlimited number of devices. In this case, only one CAL is needed instead of a CAL for each device.

To configure the Terminal Server licensing mode, you must set the licensing mode on the terminal server to match the type of CAL that you purchase and install on the license server. To set the licensing mode on the terminal server, you can use Terminal Services Configuration. For more information, see Configure the Terminal Server Licensing mode.

By default, when the Per Device licensing mode is used, after a client logs on and authenticates to a terminal server for the first time, and after the terminal server locates a license server, the terminal server issues the client a temporary license. After a client logs on and authenticates to a terminal server for the second time, if the license server is activated and at least one Per Device CALs is installed on the license server and not yet issued, the terminal server issues the client a permanent, Per Device CAL. Per User CALs are not monitored by Terminal Server. This means that even though there is a Per User CAL in the license server database, the Per User CAL is not decremented when it is used. Additionally, if you use the Per User licensing mode, when a client logs on to a terminal server for the second time, the temporary license is not upgraded to a permanent CAL.

By default, for terminal servers and license servers that are running Windows Server 2003 or Windows 2000 Service Pack 3 (or that are running Windows 2000 Service Pack 2 and earlier with the hotfix described in Microsoft Security Bulletin MS01-052 applied), an expiration period is applied for each Per Device CAL that is issued. This expiration period, which is not configurable, is a random number of days between 52 to 89 days after the license is issued. When a client connects to a terminal server, the expiration date for the CAL is checked. If the expiration is set to occur within seven days, the terminal server connects to the license server and renews the CAL. During this time, the CAL is given another expiration period of 52 to 89 days. If the license server is not available, the terminal server attempts to replace the CAL each time the client logs on to a terminal server session. After the CAL expires, the license server returns any CAL that was not renewed to the group of available CALs.

This functionality facilitates the automatic recovery of Per Device CALs that are lost due to hardware failure, operating system reinstallation, and other similar events. This functionality is also available for terminal servers and license servers running earlier versions of Windows 2000 that have the hotfix described in Microsoft Security Bulletin MS01-052 applied. For the hotfix to work correctly, you must apply it to all terminal servers and license servers in your organization.

CALs cannot be recovered automatically in the following cases:

  • CALs that are issued by license servers and terminal servers that are running Windows 2000 Service Pack 2 and earlier and that do not have the hotfix described in Microsoft Security Bulletin MS01-052 applied. In such cases, these CALs remain assigned to the devices to which they are issued. If the CALs are lost, you must contact the Microsoft Clearinghouse to recover them. If you do need to contact the Clearinghouse to recover CALs, make sure that you have the License Purchase Agreement information available. Having this information with you will facilitate the CAL recovery process. For information about how to contact the Clearinghouse, see Locate the Microsoft Clearinghouse telephone number for your region.
  • Catastrophic failure that results in the loss of the licensing database. In the event of a failure that results in the loss of the licensing database when a known good backup is not available, you must reinstall Terminal Server Licensing and reactivate the license server, and then contact the Clearinghouse to re-issue any previously issued CALs. The original CALs that were issued are based on the identification number of the license server at the time of issuance. A license server ID number is a unique 35-character alphanumeric representation of the certificate of a license server. This certificate is provided during license server activation, and it is used to obtain CALs. If the license server ID number changes, CALs that are based on the old license server ID number cannot be re-installed.

A re-issued set of CALs is displayed in the Terminal Services Licensing administrative tool as another CAL installation. Other than being a separate CAL installation, reissued CALs are not distinguishable from an original installation.

The following problems might result from a Terminal Server Licensing mode mismatch:

  • If a terminal server is set to Per Device mode and the license server with which it communicates only has Per User CALs, the license server only issues temporary licenses. When the temporary licenses are close to expiration, the following message appears on the terminal server: "Your terminal services temporary client license will expire in N days. Please contact your system administrator to get a permanent license." In this case, Event ID 26, Source: Application pop-up appears in the application event log.
  • Similarly, Terminal Server clients that run XOX or Windows 2000 might receive the following error message, if the client cannot connect to the terminal server for this reason: "The remote session was disconnected because the local computer client access license could not be upgraded or renewed." In this case, Event ID 1011, Source: TermService appears in the application event log on the terminal server.
  • To correct this problem, switch the Terminal Server Licensing mode from Per Device to Per User. For information about switching modes, see Configure the Terminal Server Licensing mode.

Keep in mind that even though Per User CALs are not monitored by Terminal Server, this does not remove administrators from End User License Agreement (EULA) requirements to have a valid terminal server (TS) CAL for each user. Failure to have a valid Per User CAL for each user, if Per Device CALs are not being used, is a violation of the EULA.

The following text is from the End User License Agreement (EULA) for Windows Server 2003:

    Two different TS CALs are available to you: "Device" and "User." Each TS Device CAL permits one Device (used by any User) to conduct Windows Sessions on any of your Servers. Each TS User CAL permits one User (using any Device) to conduct Windows Sessions on any of your Servers. You may use a mix of TS Device CALs and TS User CALs simultaneously with the Server Software in your environment. You can have a Terminal Server request Per User licenses or Per Device (default) but not both simultaneously.

For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).


Backing up a Terminal Server license server

You should back up your Terminal Server license server regularly by using the Backup tool. This will help protect your licensing data from accidental loss if your system experiences hardware or storage failure.

When backing up a Terminal Server license server, back up the System State and Repair data, and the %systemdrive%\system32\lserver directory. This ensures that data in both the registry and the Terminal Server license server database is backed up.

If you restore the System State data and the database to the same Terminal Server license server computer, any un-issued licenses are restored correctly as long as you have not replaced the operating system on the computer or removed and reinstalled Terminal Server Licensing. If you do not restore to the same computer, any un-issued licenses that are detected are not restored and an event will appear in the system log of Event Viewer. You can still restore the un-issued licenses by contacting the Microsoft Clearinghouse by phone and requesting that the licenses be reissued. When you contact the Clearinghouse, make sure that you have the License Purchase Agreement available. The information in the Agreement will facilitate the process of reissuing the licenses. For information about how to contact the Clearinghouse, see Locate the Microsoft Clearinghouse telephone number for your country or region.

For more information about using Backup, see Backing up and restoring data.

For more information about Terminal Server and Terminal Server Licensing, see Guidelines for Deploying Terminal Server (http://www.microsoft.com/) and Windows Server 2003 Terminal Server Licensing (http://www.microsoft.com/).